Index: code/trunk/src/network/packet/Chat.cc
===================================================================
--- code/trunk/src/network/packet/Chat.cc	(revision 3213)
+++ code/trunk/src/network/packet/Chat.cc	(revision 3214)
@@ -29,6 +29,6 @@
 #include "Chat.h"
 
-#include <enet/enet.h>
-#include <cassert>
+#include <cstring>
+#include <string>
 #include "network/Host.h"
 
@@ -36,5 +36,5 @@
 namespace packet {
   
-#define   PACKET_FLAGS_CHAT ENET_PACKET_FLAG_RELIABLE
+#define   PACKET_FLAGS_CHAT PacketFlag::Reliable
 #define   _PACKETID         0
 const int _PLAYERID     =   _PACKETID + sizeof(ENUM::Type);
@@ -42,5 +42,5 @@
 #define   _MESSAGE          _MESSAGELENGTH + sizeof(uint32_t)
 
-Chat::Chat( std::string message, unsigned int playerID )
+Chat::Chat( const std::string& message, unsigned int playerID )
  : Packet()
 {
Index: code/trunk/src/network/packet/Chat.h
===================================================================
--- code/trunk/src/network/packet/Chat.h	(revision 3213)
+++ code/trunk/src/network/packet/Chat.h	(revision 3214)
@@ -1,11 +1,34 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Oliver Scheuss <scheusso [at] ee.ethz.ch>
+ *   Co-authors:
+ *      ...
+ *
+ */
 
-#ifndef NETWORKCHAT_H
-#define NETWORKCHAT_H
+#ifndef _NETWORK_Chat_H__
+#define _NETWORK_Chat_H__
 
-#include "../NetworkPrereqs.h"
-
-#include <string>
-#include <cstring>
-
+#include "network/NetworkPrereqs.h"
 #include "Packet.h"
 
@@ -18,5 +41,5 @@
 {
 public:
-  Chat( std::string message, unsigned int playerID );
+  Chat( const std::string& message, unsigned int playerID );
   Chat( uint8_t* data, unsigned int clientID );
   ~Chat();
@@ -35,3 +58,3 @@
 } //namespace orxonox
 
-#endif
+#endif /* _NETWORK_Chat_H__ */
Index: code/trunk/src/network/packet/ClassID.cc
===================================================================
--- code/trunk/src/network/packet/ClassID.cc	(revision 3213)
+++ code/trunk/src/network/packet/ClassID.cc	(revision 3214)
@@ -27,15 +27,14 @@
  */
 
+#include "ClassID.h"
 
-
-#include "ClassID.h"
-#include <enet/enet.h>
-#include "core/CoreIncludes.h"
-#include "core/Factory.h"
+#include <cassert>
+#include <cstdlib>
 #include <cstring>
-#include <string>
-#include <cassert>
 #include <map>
 #include <queue>
+#include <string>
+
+#include "core/CoreIncludes.h"
 
 namespace orxonox {
@@ -43,5 +42,5 @@
 
 
-#define PACKET_FLAGS_CLASSID  ENET_PACKET_FLAG_RELIABLE
+#define PACKET_FLAGS_CLASSID  PacketFlag::Reliable
 #define _PACKETID             0
 
Index: code/trunk/src/network/packet/ClassID.h
===================================================================
--- code/trunk/src/network/packet/ClassID.h	(revision 3213)
+++ code/trunk/src/network/packet/ClassID.h	(revision 3214)
@@ -26,11 +26,9 @@
  *
  */
-#ifndef NETWORKCLASSID_H
-#define NETWORKCLASSID_H
 
-#include "../NetworkPrereqs.h"
+#ifndef _NETWORK_ClassID_H__
+#define _NETWORK_ClassID_H__
 
-#include <string>
-
+#include "network/NetworkPrereqs.h"
 #include "Packet.h"
 
@@ -58,3 +56,3 @@
 } //namespace orxonox
 
-#endif
+#endif /* _NETWORK_ClassID_H__ */
Index: code/trunk/src/network/packet/DeleteObjects.cc
===================================================================
--- code/trunk/src/network/packet/DeleteObjects.cc	(revision 3213)
+++ code/trunk/src/network/packet/DeleteObjects.cc	(revision 3214)
@@ -29,13 +29,13 @@
 
 #include "DeleteObjects.h"
-#include <enet/enet.h>
+
+#include <cassert>
+#include "util/Debug.h"
 #include "network/synchronisable/Synchronisable.h"
-#include "core/CoreIncludes.h"
-#include <cassert>
 
 namespace orxonox {
 namespace packet {
 
-#define PACKET_FLAG_DELETE  ENET_PACKET_FLAG_RELIABLE
+#define PACKET_FLAG_DELETE  PacketFlag::Reliable
 #define _PACKETID           0
 #define _QUANTITY           _PACKETID + sizeof(ENUM::Type)
@@ -90,4 +90,5 @@
     Synchronisable::deleteObject( *(uint32_t*)(data_+_OBJECTIDS+i*sizeof(uint32_t)) );
   }
+  delete this;
   return true;
 }
Index: code/trunk/src/network/packet/DeleteObjects.h
===================================================================
--- code/trunk/src/network/packet/DeleteObjects.h	(revision 3213)
+++ code/trunk/src/network/packet/DeleteObjects.h	(revision 3214)
@@ -26,11 +26,9 @@
  *
  */
-#ifndef NETWORKPACKETDELETEOBJECTS_H
-#define NETWORKPACKETDELETEOBJECTS_H
+#ifndef _DeleteObjects_H__
+#define _DeleteObjects_H__
 
-#include "../NetworkPrereqs.h"
-
+#include "network/NetworkPrereqs.h"
 #include "Packet.h"
-
 
 namespace orxonox {
@@ -57,3 +55,3 @@
 } //namespace orxonox
 
-#endif
+#endif /* _DeleteObjects_H__ */
Index: code/trunk/src/network/packet/FunctionCalls.cc
===================================================================
--- code/trunk/src/network/packet/FunctionCalls.cc	(revision 3213)
+++ code/trunk/src/network/packet/FunctionCalls.cc	(revision 3214)
@@ -29,15 +29,13 @@
 #include "FunctionCalls.h"
 
-#include <enet/enet.h>
 #include <cassert>
 #include <cstring>
-#include "network/Host.h"
+#include "util/MultiType.h"
 #include "network/NetworkFunction.h"
-#include "util/MultiType.h"
 
 namespace orxonox {
 namespace packet {
   
-#define   PACKET_FLAGS_FUNCTIONCALLS ENET_PACKET_FLAG_RELIABLE
+#define   PACKET_FLAGS_FUNCTIONCALLS PacketFlag::Reliable
 #define   _PACKETID         0
 const unsigned int FUNCTIONCALLS_MEM_ALLOCATION = 1000;
Index: code/trunk/src/network/packet/FunctionCalls.h
===================================================================
--- code/trunk/src/network/packet/FunctionCalls.h	(revision 3213)
+++ code/trunk/src/network/packet/FunctionCalls.h	(revision 3214)
@@ -1,17 +1,40 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Oliver Scheuss <scheusso [at] ee.ethz.ch>
+ *   Co-authors:
+ *      ...
+ *
+ */
 
-#ifndef NETWORKFUNCTIONCALLS_H
-#define NETWORKFUNCTIONCALLS_H
+#ifndef _FunctionCalls_H__
+#define _FunctionCalls_H__
 
-#include "../NetworkPrereqs.h"
+#include "network/NetworkPrereqs.h"
 
-#include <string>
-#include <cstring>
-
+#include <cassert>
+#include "util/UtilPrereqs.h"
 #include "Packet.h"
-#include <cassert>
 
 namespace orxonox {
-
-class MultiType;
 
 namespace packet {
@@ -44,3 +67,3 @@
 } //namespace orxonox
 
-#endif
+#endif /* _FunctionCalls_H__ */
Index: code/trunk/src/network/packet/FunctionIDs.cc
===================================================================
--- code/trunk/src/network/packet/FunctionIDs.cc	(revision 3213)
+++ code/trunk/src/network/packet/FunctionIDs.cc	(revision 3214)
@@ -27,13 +27,14 @@
  */
 
+#include "FunctionIDs.h"
 
+#include <cassert>
+#include <cstring>
+#include <queue>
+#include <string>
 
-#include "FunctionIDs.h"
+#include "util/Debug.h"
+#include "core/ObjectList.h"
 #include "network/NetworkFunction.h"
-#include <enet/enet.h>
-#include "core/CoreIncludes.h"
-#include <string>
-#include <cassert>
-#include <queue>
 
 namespace orxonox {
@@ -41,5 +42,5 @@
 
 
-#define PACKET_FLAGS_FUNCTIONIDS  ENET_PACKET_FLAG_RELIABLE
+#define PACKET_FLAGS_FUNCTIONIDS  PacketFlag::Reliable
 #define _PACKETID                 0
 
Index: code/trunk/src/network/packet/FunctionIDs.h
===================================================================
--- code/trunk/src/network/packet/FunctionIDs.h	(revision 3213)
+++ code/trunk/src/network/packet/FunctionIDs.h	(revision 3214)
@@ -26,11 +26,9 @@
  *
  */
-#ifndef NETWORKFUNCTIONIDS_H
-#define NETWORKFUNCTIONIDS_H
 
-#include "../NetworkPrereqs.h"
+#ifndef _FunctionIDs_H__
+#define _FunctionIDs_H__
 
-#include <string>
-
+#include "network/NetworkPrereqs.h"
 #include "Packet.h"
 
@@ -58,3 +56,3 @@
 } //namespace orxonox
 
-#endif
+#endif /* _FunctionIDs_H__ */
Index: code/trunk/src/network/packet/Gamestate.cc
===================================================================
--- code/trunk/src/network/packet/Gamestate.cc	(revision 3213)
+++ code/trunk/src/network/packet/Gamestate.cc	(revision 3214)
@@ -28,15 +28,12 @@
 
 #include "Gamestate.h"
-#include <enet/enet.h>
+
 #include <zlib.h>
-#include <cassert>
-#include "../GamestateHandler.h"
-#include "../synchronisable/Synchronisable.h"
-#include "../TrafficControl.h"
+
+#include "util/Debug.h"
 #include "core/GameMode.h"
-#include "core/CoreIncludes.h"
-
-
-
+#include "core/ObjectList.h"
+#include "network/synchronisable/Synchronisable.h"
+#include "network/GamestateHandler.h"
 
 namespace orxonox {
@@ -46,5 +43,5 @@
 #define GAMESTATE_START(data) (data + GamestateHeader::getSize())
 
-#define PACKET_FLAG_GAMESTATE  ENET_PACKET_FLAG_RELIABLE
+#define PACKET_FLAG_GAMESTATE  PacketFlag::Reliable
 
 
Index: code/trunk/src/network/packet/Gamestate.h
===================================================================
--- code/trunk/src/network/packet/Gamestate.h	(revision 3213)
+++ code/trunk/src/network/packet/Gamestate.h	(revision 3214)
@@ -28,18 +28,16 @@
 
 
-#ifndef NETWORK_PACKETGAMESTATE_H
-#define NETWORK_PACKETGAMESTATE_H
+#ifndef _Gamestate_H__
+#define _Gamestate_H__
 
 #include "network/NetworkPrereqs.h"
 
+#include <cassert>
+#include <cstring>
+#include <list>
+
+#include "util/CRC32.h"
+#include "network/TrafficControl.h"
 #include "Packet.h"
-#include "network/TrafficControl.h"
-#include <string.h>
-#include <map>
-#include <vector>
-#include <cassert>
-#ifndef NDEBUG
-#include "util/CRC32.h"
-#endif
 
 namespace orxonox {
@@ -138,3 +136,3 @@
 }
 
-#endif
+#endif /* _Gamestate_H__ */
Index: code/trunk/src/network/packet/Packet.cc
===================================================================
--- code/trunk/src/network/packet/Packet.cc	(revision 3213)
+++ code/trunk/src/network/packet/Packet.cc	(revision 3214)
@@ -31,15 +31,13 @@
 
 #include <cassert>
+#include <cstring>
 #include <enet/enet.h>
-#include <boost/bind.hpp>
-#include <boost/thread/recursive_mutex.hpp>
-
-#include "network/ConnectionManager.h"
-#include "network/ClientInformation.h"
-
+#include <boost/static_assert.hpp>
+
+#include "util/Debug.h"
 #include "Acknowledgement.h"
-#include "DeleteObjects.h"
 #include "Chat.h"
 #include "ClassID.h"
+#include "DeleteObjects.h"
 #include "FunctionCalls.h"
 #include "FunctionIDs.h"
@@ -47,5 +45,5 @@
 #include "Welcome.h"
 #include "network/Host.h"
-#include "core/CoreIncludes.h"
+#include "network/ClientInformation.h"
 
 namespace orxonox{
@@ -53,10 +51,13 @@
 namespace packet{
 
-#define PACKET_FLAG_DEFAULT ENET_PACKET_FLAG_NO_ALLOCATE
+// Make sure we assume the right values
+BOOST_STATIC_ASSERT(static_cast<int>(PacketFlag::Reliable)   == static_cast<int>(ENET_PACKET_FLAG_RELIABLE));
+BOOST_STATIC_ASSERT(static_cast<int>(PacketFlag::Unsequence) == static_cast<int>(ENET_PACKET_FLAG_UNSEQUENCED));
+BOOST_STATIC_ASSERT(static_cast<int>(PacketFlag::NoAllocate) == static_cast<int>(ENET_PACKET_FLAG_NO_ALLOCATE));
+
+#define PACKET_FLAG_DEFAULT PacketFlag::NoAllocate
 #define _PACKETID           0
 
 std::map<size_t, Packet *> Packet::packetMap_;
-//! Static mutex for any packetMap_ access
-static boost::recursive_mutex packetMap_mutex_g;
 
 Packet::Packet(){
@@ -108,5 +109,5 @@
   }
   else if (this->data_) {
-    // This destructor was probably called as a consequence to ENet executing our callback.
+    // This destructor was probably called as a consequence of ENet executing our callback.
     // It simply serves us to be able to deallocate the packet content (data_) ourselves since
     // we have created it in the first place.
@@ -142,5 +143,4 @@
       // Assures we don't create a packet and destroy it right after in another thread
       // without having a reference in the packetMap_
-      boost::recursive_mutex::scoped_lock lock(packetMap_mutex_g);
       packetMap_[(size_t)(void*)enetPacket_] = this;
     }
@@ -218,4 +218,5 @@
   // Data was created by ENet
   p->bDataENetAllocated_ = true;
+  p->enetPacket_ = packet;
 
   return p;
@@ -228,5 +229,4 @@
 */
 void Packet::deletePacket(ENetPacket *enetPacket){
-  boost::recursive_mutex::scoped_lock lock(packetMap_mutex_g);
   // Get our Packet from a gloabal map with all Packets created in the send() method of Packet.
   std::map<size_t, Packet*>::iterator it = packetMap_.find((size_t)enetPacket);
@@ -236,5 +236,5 @@
   delete it->second;
   packetMap_.erase(it);
-  COUT(4) << "PacketMap size: " << packetMap_.size() << std::endl;
+  COUT(6) << "PacketMap size: " << packetMap_.size() << std::endl;
 }
 
Index: code/trunk/src/network/packet/Packet.h
===================================================================
--- code/trunk/src/network/packet/Packet.h	(revision 3213)
+++ code/trunk/src/network/packet/Packet.h	(revision 3214)
@@ -26,9 +26,8 @@
  *
  */
-#ifndef NETWORKPACKET_H
-#define NETWORKPACKET_H
+#ifndef _NETWORK_Packet_H__
+#define _NETWORK_Packet_H__
 
 #include "network/NetworkPrereqs.h"
-
 #include <map>
 
@@ -102,3 +101,3 @@
 } //namespace orxonox
 
-#endif
+#endif /* _NETWORK_Packet_H__ */
Index: code/trunk/src/network/packet/Welcome.cc
===================================================================
--- code/trunk/src/network/packet/Welcome.cc	(revision 3213)
+++ code/trunk/src/network/packet/Welcome.cc	(revision 3214)
@@ -29,16 +29,15 @@
  */
 
+#include "Welcome.h"
 
-#include "Welcome.h"
-#include <enet/enet.h>
 #include <cassert>
+#include "util/Debug.h"
 #include "network/Host.h"
 #include "network/synchronisable/Synchronisable.h"
-#include "core/CoreIncludes.h"
 
 namespace orxonox {
 namespace packet {
 
-#define PACKET_FLAGS_CLASSID  ENET_PACKET_FLAG_RELIABLE
+#define PACKET_FLAGS_CLASSID  PacketFlag::Reliable
 #define _PACKETID             0
 #define _CLIENTID             _PACKETID + sizeof(ENUM::Type)
Index: code/trunk/src/network/packet/Welcome.h
===================================================================
--- code/trunk/src/network/packet/Welcome.h	(revision 3213)
+++ code/trunk/src/network/packet/Welcome.h	(revision 3214)
@@ -26,9 +26,8 @@
  *
  */
-#ifndef NETWORKWELCOME_H
-#define NETWORKWELCOME_H
+#ifndef _NETWORK_Welcome_H__
+#define _NETWORK_Welcome_H__
 
-#include "../NetworkPrereqs.h"
-
+#include "network/NetworkPrereqs.h"
 #include "Packet.h"
 
@@ -56,3 +55,3 @@
 } //namespace orxonox
 
-#endif
+#endif /* _NETWORK_Welcome_H__ */
Index: code/trunk/src/network/synchronisable/NetworkCallback.h
===================================================================
--- code/trunk/src/network/synchronisable/NetworkCallback.h	(revision 3213)
+++ code/trunk/src/network/synchronisable/NetworkCallback.h	(revision 3214)
@@ -28,6 +28,6 @@
 
 
-#ifndef _NETWORK_CALLBACK__
-#define _NETWORK_CALLBACK__
+#ifndef _NetworkCallback_H__
+#define _NetworkCallback_H__
 
 #include "network/NetworkPrereqs.h"
@@ -61,3 +61,3 @@
 
 
-#endif
+#endif /* _NetworkCallback_H__ */
Index: code/trunk/src/network/synchronisable/NetworkCallbackManager.h
===================================================================
--- code/trunk/src/network/synchronisable/NetworkCallbackManager.h	(revision 3213)
+++ code/trunk/src/network/synchronisable/NetworkCallbackManager.h	(revision 3214)
@@ -28,8 +28,9 @@
 
 
-#ifndef _NETWORK_CALLBACKMANAGER__
-#define _NETWORK_CALLBACKMANAGER__
+#ifndef _NetworkCallbackManager_H__
+#define _NetworkCallbackManager_H__
 
 #include "network/NetworkPrereqs.h"
+
 #include <set>
 #include <queue>
@@ -52,3 +53,3 @@
 
 
-#endif
+#endif /* _NetworkCallbackManager_H__ */
Index: code/trunk/src/network/synchronisable/Synchronisable.cc
===================================================================
--- code/trunk/src/network/synchronisable/Synchronisable.cc	(revision 3213)
+++ code/trunk/src/network/synchronisable/Synchronisable.cc	(revision 3214)
@@ -31,14 +31,9 @@
 #include "Synchronisable.h"
 
-#include <cstring>
-#include <string>
-#include <iostream>
-#include <cassert>
-
+#include <cstdlib>
 #include "core/CoreIncludes.h"
 #include "core/BaseObject.h"
-// #include "core/Identifier.h"
-
 #include "network/Host.h"
+
 namespace orxonox
 {
Index: code/trunk/src/network/synchronisable/Synchronisable.h
===================================================================
--- code/trunk/src/network/synchronisable/Synchronisable.h	(revision 3213)
+++ code/trunk/src/network/synchronisable/Synchronisable.h	(revision 3214)
@@ -32,15 +32,14 @@
 #include "network/NetworkPrereqs.h"
 
-#include <list>
+#include <cassert>
+#include <cstring>
 #include <vector>
 #include <map>
 #include <queue>
-#include <cassert>
-#include <string>
-#include "util/Math.h"
+
 #include "util/mbool.h"
 #include "core/OrxonoxClass.h"
+#include "SynchronisableVariable.h"
 #include "NetworkCallback.h"
-#include "SynchronisableVariable.h"
 
 /*#define REGISTERDATA(varname, ...) \
Index: code/trunk/src/network/synchronisable/SynchronisableSpecialisations.cc
===================================================================
--- code/trunk/src/network/synchronisable/SynchronisableSpecialisations.cc	(revision 3213)
+++ code/trunk/src/network/synchronisable/SynchronisableSpecialisations.cc	(revision 3214)
@@ -28,6 +28,8 @@
  */
 
-#include "network/synchronisable/Synchronisable.h"
 #include <string>
+#include "util/Math.h"
+#include "Synchronisable.h"
+#include "SynchronisableVariable.h"
 
 // ================ template spezialisation
Index: code/trunk/src/network/synchronisable/SynchronisableVariable.h
===================================================================
--- code/trunk/src/network/synchronisable/SynchronisableVariable.h	(revision 3213)
+++ code/trunk/src/network/synchronisable/SynchronisableVariable.h	(revision 3214)
@@ -28,16 +28,13 @@
 
 
-#ifndef _NETWORK_SYNCHRONISABLEVARIABLE__
-#define _NETWORK_SYNCHRONISABLEVARIABLE__
+#ifndef _SynchronisableVariable_H__
+#define _SynchronisableVariable_H__
 
 #include "network/NetworkPrereqs.h"
 
-#include <string>
 #include <cassert>
+#include <cstring>
 #include "util/Serialise.h"
-#include "core/Core.h"
-#include "core/CoreIncludes.h"
 #include "core/GameMode.h"
-#include "network/synchronisable/NetworkCallback.h"
 #include "network/synchronisable/NetworkCallbackManager.h"
 
@@ -253,3 +250,3 @@
 
 
-#endif
+#endif /* _SynchronisableVariable_H__ */
Index: code/trunk/src/orxonox/OrxonoxPrecompiledHeaders.h
===================================================================
--- code/trunk/src/orxonox/OrxonoxPrecompiledHeaders.h	(revision 3213)
+++ code/trunk/src/orxonox/OrxonoxPrecompiledHeaders.h	(revision 3214)
@@ -35,4 +35,5 @@
 #include "OrxonoxPrereqs.h"
 
+#include <cassert>
 #include <deque>
 #include <fstream>
@@ -84,6 +85,4 @@
 #include "util/Math.h"
 #include "util/OgreForwardRefs.h"
-#include "util/OrxAssert.h"
-#include "util/String.h"
 #include "util/SubString.h"
 
Index: code/trunk/src/orxonox/objects/worldentities/pawns/Pawn.cc
===================================================================
--- code/trunk/src/orxonox/objects/worldentities/pawns/Pawn.cc	(revision 3213)
+++ code/trunk/src/orxonox/objects/worldentities/pawns/Pawn.cc	(revision 3214)
@@ -59,6 +59,4 @@
         PawnManager::touch();
         this->bAlive_ = true;
-        this->fire_ = 0x0;
-        this->firehack_ = 0x0;
         this->bReload_ = false;
 
@@ -122,5 +120,4 @@
         registerVariable(this->health_,        variableDirection::toclient);
         registerVariable(this->initialHealth_, variableDirection::toclient);
-        registerVariable(this->fire_,          variableDirection::toserver);
         registerVariable(this->bReload_,       variableDirection::toserver);
     }
@@ -130,16 +127,4 @@
         SUPER(Pawn, tick, dt);
 
-//        if (this->weaponSystem_ && GameMode::isMaster())
-//        {
-//            for (unsigned int firemode = 0; firemode < WeaponSystem::MAX_FIRE_MODES; firemode++)
-//                if (this->fire_ & WeaponSystem::getFiremodeMask(firemode))
-//                    this->weaponSystem_->fire(firemode);
-//
-//            if (this->bReload_)
-//                this->weaponSystem_->reload();
-//        }
-//
-//        this->fire_ = this->firehack_;
-//        this->firehack_ = 0x0;
         this->bReload_ = false;
 
Index: code/trunk/src/orxonox/objects/worldentities/pawns/Pawn.h
===================================================================
--- code/trunk/src/orxonox/objects/worldentities/pawns/Pawn.h	(revision 3213)
+++ code/trunk/src/orxonox/objects/worldentities/pawns/Pawn.h	(revision 3214)
@@ -137,6 +137,4 @@
 
             WeaponSystem* weaponSystem_;
-            unsigned int fire_;
-            unsigned int firehack_;
             bool bReload_;
 
Index: code/trunk/src/util/Clipboard.cc
===================================================================
--- code/trunk/src/util/Clipboard.cc	(revision 3213)
+++ code/trunk/src/util/Clipboard.cc	(revision 3214)
@@ -42,5 +42,10 @@
 /////////////
 
+#ifndef WIN32_LEAN_AND_MEAN
+#  define WIN32_LEAN_AND_MEAN
+#endif
 #include <windows.h>
+#undef min
+#undef max
 #include "Debug.h"
 
Index: code/trunk/src/util/Math.h
===================================================================
--- code/trunk/src/util/Math.h	(revision 3213)
+++ code/trunk/src/util/Math.h	(revision 3214)
@@ -47,8 +47,13 @@
 #include <OgreColourValue.h>
 
-// Certain headers might define min and max macros
-#if defined(max) || defined(min) || defined(sgn) || defined(clamp) || defined(square) || defined(mod)
-#  error An inline math function was overridden by a macro
-#endif
+// Certain headers might define unwanted macros...
+#undef max
+#undef min
+#undef sgn
+#undef clamp
+#undef sqrt
+#undef square
+#undef mod
+#undef rnd
 
 namespace orxonox
Index: code/trunk/src/util/Sleep.cc
===================================================================
--- code/trunk/src/util/Sleep.cc	(revision 3213)
+++ code/trunk/src/util/Sleep.cc	(revision 3214)
@@ -37,5 +37,10 @@
 
 #ifdef ORXONOX_PLATFORM_WINDOWS
+#ifndef WIN32_LEAN_AND_MEAN
+#  define WIN32_LEAN_AND_MEAN
+#endif
 #include <windows.h>
+#undef min
+#undef max
 
 namespace orxonox
